%define oname	moodbar

Name:		gstreamer1.0-moodbar
Summary:	Audio timeline visualization
Version:	1.3.0
Release:	%mkrel 2
Group:		Sound/Utilities
License:	GPLv3+
Url:		https://github.com/exaile/moodbar
Source0:	https://github.com/exaile/moodbar/releases/download/v%{version}/moodbar-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(fftw3)
Requires:	gstreamer1.0-plugins-ugly
Provides:	moodbar = %{EVRD}

%description
Moodbar is a music visualization method that assigns colors to different parts
of a track and presents them as a timeline. Applied to a music player, the main
goal is to help the user navigate within a particular track. For example, if
the user wants to skip to the first chorus of a song, a good moodbar
implementation should be able to provide a hint of where this might occur in
the timeline.

%prep
%setup -qn moodbar-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/moodbar


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.3.0-2.mga10
+ Revision: 2221736
- Mageia 10 Mass Rebuild

* Mon Mar 25 2024 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2051937
- new version 1.3.0

* Wed Dec 20 2023 ghibo <ghibo> 1.2.1-6.mga10
+ Revision: 2020043
- Rebuild against gstreamer 1.22.8

* Tue Aug 29 2023 ghibo <ghibo> 1.2.1-5.mga10
+ Revision: 1980854
- Rebuild against gstreamer 1.22.5
- Rebuild against gstreamer 1.22.4

* Sun May 21 2023 ghibo <ghibo> 1.2.1-3.mga9
+ Revision: 1957541
- Rebuild against gstreamer 1.22.3

* Sun Apr 03 2022 umeabot <umeabot> 1.2.1-2.mga9
+ Revision: 1841664
- Mageia 9 Mass Rebuild

* Mon Jan 18 2021 wally <wally> 1.2.1-1.mga8
+ Revision: 1672421
- new version 1.2.1

* Sat Feb 15 2020 umeabot <umeabot> 0-0.git20171217.4.mga8
+ Revision: 1525520
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 daviddavid <daviddavid> 0-0.git20171217.3.mga7
+ Revision: 1393107
- Rebuild with meson 0.50.1

* Wed Oct 03 2018 pterjan <pterjan> 0-0.git20171217.2.mga7
+ Revision: 1316244
- Mageia 7 Mass Rebuild

* Sun Jan 21 2018 wally <wally> 0-0.git20171217.1.mga7
+ Revision: 1195371
- imported package gstreamer1.0-moodbar

